Subject: Re: bug#36853: mklabel does not clear mdraid version 0.90 metadata
From: "Brian C. Lane" <[email-masked]>
To: Michael Hudson-Doyle <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Jul 2019 10:29:48 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Jul 30, 2019 at 09:19:49PM +1200, Michael Hudson-Doyle wrote:
> Chasing down a bug report
> https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1828558 where
> installing over a device previously used in a RAID array, I found that
> parted's mklabel does not erase mdraid metadata 0.90 metadata (and only
> that version). Here's my test script

This is working as expected, parted tries not to touch more than it
needs to and this situation will often come up when you re-partition a
disk using the same values as a previous installation. You need to use
something like wipefs on the disk before creating the new partitions.

Thanks,

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted